Package com.independentsoft.office.charts

# Class PrintSettings

java.lang.Object
com.independentsoft.office.charts.PrintSettings

public class PrintSettings extends Object
The Class PrintSettings.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PrintSettings()`
  Instantiates a new prints the settings.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PrintSettings`
  `clone()`
  `HeaderFooter`
  `getHeaderFooter()`
  Gets the header footer.
  `PageMargins`
  `getPageMargins()`
  Gets the page margins.
  `PageSetup`
  `getPageSetup()`
  Gets the page setup.
  `void`
  `setHeaderFooter​(HeaderFooter headerFooter)`
  Sets the header footer.
  `void`
  `setPageMargins​(PageMargins pageMargins)`
  Sets the page margins.
  `void`
  `setPageSetup​(PageSetup pageSetup)`
  Sets the page setup.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PrintSettings

    public PrintSettings()
    Instantiates a new prints the settings.

- ## Method Details

  - ### clone

    public PrintSettings clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getHeaderFooter

    public HeaderFooter getHeaderFooter()
    Gets the header footer.
    Returns:
      the header footer

  - ### setHeaderFooter

    public void setHeaderFooter​(HeaderFooter headerFooter)
    Sets the header footer.
    Parameters:
      `headerFooter` - the new header footer

  - ### getPageMargins

    public PageMargins getPageMargins()
    Gets the page margins.
    Returns:
      the page margins

  - ### setPageMargins

    public void setPageMargins​(PageMargins pageMargins)
    Sets the page margins.
    Parameters:
      `pageMargins` - the new page margins

  - ### getPageSetup

    public PageSetup getPageSetup()
    Gets the page setup.
    Returns:
      the page setup

  - ### setPageSetup

    public void setPageSetup​(PageSetup pageSetup)
    Sets the page setup.
    Parameters:
      `pageSetup` - the new page setup